28.09.2020, 17:10 UhrDeutsch | English
Hallo Gast [ Registrierung | Anmelden ]

Neues Thema eröffnen   Neue Antwort erstellen
Vorheriges Thema anzeigen Druckerfreundliche Version Einloggen, um private Nachrichten zu lesen Nächstes Thema anzeigen
Autor Nachricht
philippk
Titel: Apache fehlerhaft seit d-u  BeitragVerfasst am: 03.10.2006, 10:18 Uhr



Anmeldung: 09. Sep 2006
Beiträge: 8
Wohnort: Lübeck
Hallo!

Das heutige d-u macht bei mir folgendes: Apache2 wird aktualisiert auf Version 2.2.3, php5 und libapache2-mod-php5 werden deinstalliert. Die neue Apache-Version lässt sich nach der Installation nicht starten. Liegt das alles an mir? Oder ziehts sich in den nächsten Tagen zurecht? Winken
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
slh
Titel: RE: Apache fehlerhaft seit d-u  BeitragVerfasst am: 03.10.2006, 10:36 Uhr



Anmeldung: 16. Aug 2004
Beiträge: 1905

Da ist nichts defekt, nur sind apache 2.0.x und apache 2.2.x nicht ABI kompatibel, so daß alle Module (knapp 60 in Debian) für die neue Version upgedated werden müssen - dauert bei den gebräuchlichsten Modulen ein paar Tage, bei problematischeren etwas länger.
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
philippk
Titel: RE: Apache fehlerhaft seit d-u  BeitragVerfasst am: 03.10.2006, 10:51 Uhr



Anmeldung: 09. Sep 2006
Beiträge: 8
Wohnort: Lübeck
Danke, alles klar!
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
f_engelbrecht
Titel: RE: Apache fehlerhaft seit d-u  BeitragVerfasst am: 03.10.2006, 14:37 Uhr



Anmeldung: 19. Mar 2006
Beiträge: 16
Wohnort: München
Gibt es irgendeinen Weg die nach dem d-u ja offensichtlich defekte Apache-Installation zu deinstallieren ?

Hab es per apt-get remove probiert, jedoch werden immer fehlerhafte Abhängigkeiten bemängelt ...
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Yahoo Messenger ICQ-Nummer 
Antworten mit Zitat Nach oben
Superrakete
Titel: RE: Apache fehlerhaft seit d-u  BeitragVerfasst am: 03.10.2006, 23:03 Uhr



Anmeldung: 05. Jul 2004
Beiträge: 121
Wohnort: Hannover
Hi!

Statt "apt-get remove" kannste "dpkg --remove" oder "dpkg --purge" benutzen und dann ein "apt-get -f install" hinterher.
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
pffffffff
Titel: RE: Apache fehlerhaft seit d-u  BeitragVerfasst am: 07.10.2006, 13:57 Uhr



Anmeldung: 03. Aug 2005
Beiträge: 140

Also ich habe es mit einem Downgrade auf die Testing-Pakete wieder hinbekommen:

Code:
apt-get install apache2/testing apache2-common/testing apache2-mpm-prefork/testing apache2-utils/testing php5/testing php5-common/testing php5-gd/testing php5-imagick/testing php5-pgsql/testing phppgadmin/testing libapache2-mod-php5/testing


Allerdings benutze ich PostgreSQL und nicht MySQL.

Irgendwelche 2.2-Pakete sollten einfach komplett de-installiert werden.

Falls das Downgrade nicht klappt wegen irgendwelcher Abhängigkeiten, einfach die Pakete die nicht passen auf auf /testing downgraden.
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
wolfsohn
Titel:   BeitragVerfasst am: 12.10.2006, 00:27 Uhr



Anmeldung: 24. Apr 2006
Beiträge: 12

ich denke mal beim neuen apachen kann nun entwarnung gegeben werden... Sehr glücklich
ich habe gestern die neuen sachen wieder installiert und was soll ich sagen...der php support im apachen funktioniert wieder. Lachen

have_fun!
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
Beiträge vom vorherigen Thema anzeigen:     
Gehe zu:  
Alle Zeiten sind GMT + 1 Stunde
Neues Thema eröffnen   Neue Antwort erstellen
Vorheriges Thema anzeigen Druckerfreundliche Version Einloggen, um private Nachrichten zu lesen Nächstes Thema anzeigen
PNphpBB2 © 2003-2007 
 
Deutsch | English
Logos and trademarks are the property of their respective owners, comments are property of their posters, the rest is © 2004 - 2006 by Jörg Schirottke (Kano).
Consult Impressum and Legal Terms for details. Kanotix is Free Software released under the GNU/GPL license.
This CMS is powered by PostNuke, all themes used at this site are released under the GNU/GPL license. designed and hosted by w3you. Our web server is running on Kanotix64-2006.